## lzma 9.22

=== debian/changelog ===
lzma (9.22-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 00:52:18 +0100

lzma (9.22-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in description, thanks Pascal De Vuyst (Closes: #714875)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross flags. (Closes: #839857)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 24 Sep 2017 23:48:30 +0200

lzma (9.22-2) unstable; urgency=low

  * Upload to unstable.
  * Previous upload removed lzma-source. (Closes: #651796)
  * Prevent /dev/null removal while testing a file. (Closes: #550543)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 08 Jan 2012 15:15:18 +0100

lzma (9.22-1) experimental; urgency=low

  [ Mohammed Adnène Trojette ]
  * New upstream release (Closes: #460501, #518365)
     + LZMA SDK is placed in the public domain since 4.62.
  * Update debian/patches/02_lzmp.diff.
  * Switch packaging under the terms of the BSD license.
  * Switch to dpkg-source 3.0 (quilt) format
     + debian/control: Build-Depends
        - drop quilt.
        - bump debhelper dependency to 8.0.0.
  * Bump Standards-Version to 3.9.2
  * Drop lzma-source package. It doesn't work with current kernels and
    SquashFS XZ is part of the standard kernel now. Patch courtesy of
    Jonathan Nieder. (Closes: #470893, #553707, #466582)
  * Update file list in lzma-dev. (Closes: #614417)
  * Fix and improve descriptions. (Closes: #535776, #540469)
  * Add deb-lzma script to convert a deb package to LZMA format. Script
    courtesy of Roger Millan. (Closes: #536275)
  * Add Jonathan Nieder as comaintainer.

  [ Jonathan Nieder ]
  * Bump debhelper compatibility to 7.
  * Manage lzma, unlzma, and lzcat through the alternatives system.
    Conflicts: xz-lzma (<< 5.1.1alpha+20110809-2). (Closes: #547802)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 03 Sep 2011 23:27:39 +0200

lzma (4.43-14) unstable; urgency=low

  * Bump Standards-Version to 3.8.0.
  * Drop lzma-alone from Recommends.
  * Don't build lzma-source when binary-indep target is not
    called. (Closes: #486419)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 16 Jun 2008 01:09:56 +0200

lzma (4.43-13) unstable; urgency=low

  * Split lzma binary package into:
      + lzma-alone: with /usr/bin/lzma_alone. (Closes: #475111)
      + lzma (recommending lzma-alone): with the rest.
  * No need for a quilt patch to add a manpage...
  * Move development documentation to lzma-dev. (Closes: #475110)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 04 Jun 2008 22:30:33 +0200

lzma (4.43-12) unstable; urgency=low

  * Update sqlzma patch (needed for squashfs):
    + Backport sqlzma patch to LZMA SDK 4.43.
    + Update 04_sqlzma_h.diff.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 08 Dec 2007 21:03:51 +0000

lzma (4.43-11) unstable; urgency=low

  * Upload to unstable.

  [ Arnaud Fontaine ]
  * lzma-dev should be part of the Build-Depends only and not a dependency
    inside the resulting kernel modules package.  Thanks to Michael
    Prokop. (Closes: #452868)
  * Support cross building. Thanks to Neil Williams for the patch.
    (Closes: #451598)
  * debian/control*:
    + Add Homepage field (dpkg supports it now).
    + Add Vcs-Git and Vcs-Browser field (dpkg support them now).
    + Update my email address to arnau@debian.org.
    + Update Standards-Version to 3.7.3. No changes needed.

  [ Mohammed Adnène Trojette ]
  * Don't ship /usr/share/doc/lzma/LGPL.txt.gz. (Closes: #453922)
  * debian/copyright:
    + Include a copy of the CPL license. (Closes: #453924)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 07 Dec 2007 01:59:40 +0100

lzma (4.43-10) experimental; urgency=low

  * debian/control:
    + Add myself as Uploaders.
  * debian/docs:
    + Remove useless LGPL.txt file because it is already provided by
      Debian.
  * Install history.txt as the changelog in /usr/share/doc/.
  * Add support for squashfs. (Closes: #443844).
    + Add lzma-dev which contains headers and static libraries.
    + Add lzma-source which contains kernel modules needed for squashfs.
    + Add patch from sqlzma project.
  
 -- Arnaud Fontaine <arnaud@andesi.org>  Thu, 18 Oct 2007 12:15:12 +0100

lzma (4.43-9) unstable; urgency=low

  * Remove reference to missing chapter in manpage. (Closes: #424612)
  * Remove redundancies in manpage. (Closes: #435612)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 04 Aug 2007 21:32:07 +0200

lzma (4.43-8) unstable; urgency=low

  * Update lzmp.cpp patch to allow symlinks decompression to stdout.
  * Correct watch file.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 24 Jul 2007 00:33:43 +0200

lzma (4.43-7) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper compatibility to 5.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 13 Apr 2007 01:07:02 +0200

lzma (4.43-6) experimental; urgency=low

  * 02_lzmp.diff:
     + include <cstdlib> to be able to build with GCC 4.3. (Closes: #417379)
       Thanks Martin Michlmayr for the patch.
     + use hc4 for -1 option, as hc3 is no more built in the SDK.
       (Closes: #417304)
       Thanks Lasse Collin for the help.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 02 Apr 2007 19:59:52 +0200

lzma (4.43-5) unstable; urgency=low

  * Tighten license issues in debian/copyright: (Closes: #406968)
     + LZMA SDK is released under
         - LGPL
         - CPL
         - simplified license
     + LZMA SDK is free, of course! (under the LGPL terms)
     + Files released by Tukaani are released under GPL.
     + Packaging is released under LGPL.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 15 Jan 2007 12:37:50 +0100

lzma (4.43-4) unstable; urgency=low

  * Fix in manual page:
     + typos spotted by thanks A. Costa. (Closes: #405652)

