=== debian/control ===
Source: lzma
Section: utils
Priority: optional
Maintainer: Mohammed Adnène Trojette <adn+deb@diwi.org>
Uploaders: Arnaud Fontaine <arnau@debian.org>, Jonathan Nieder <jrnieder@gmail.com>
Build-Depends: debhelper (>= 8.0.0), zlib1g-dev
Homepage: http://www.7-zip.org/sdk.html
Vcs-Git: git://git.debian.org/git/collab-maint/lzma.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/lzma.git;a=summary
Standards-Version: 3.9.2

Package: lzma
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xz-lzma (<< 5.1.1alpha+20110809-2)
Description: Compression and decompression in the LZMA format - command line utility
 The Lempel-Ziv-Markov chain Algorithm is a compression method based on
 the famous LZ77 algorithm, and was first introduced by 7-Zip for use in
 7z archives.
 .
 Its main characteristics are a very high compression ratio, with high RAM
 usage, and fast decompression, with low RAM usage. These properties make
 it well suited to embedded uses, such as for ROM (firmware) compression.
 .
 This package provides the lzma command line utility, which has a
 familiar gzip-like interface.
 
Package: lzma-alone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lzma (<< 4.43-13)
Replaces: lzma (<< 4.43-13)
Description: Compression and decompression in the LZMA format - legacy utility
 The Lempel-Ziv-Markov chain Algorithm is a compression method based on
 the famous LZ77 algorithm, and was first introduced by 7-Zip for use in
 7z archives.
 .
 Its main characteristics are a very high compression ratio, with high RAM
 usage, and fast decompression, with low RAM usage. These properties make
 it well suited to embedded uses, such as for ROM (firmware) compression.
 .
 This package provides only the old lzma_alone compression utility, which
 has an interface more like that of zip.

Package: lzma-dev
Architecture: all
Depends: zlib1g-dev, ${misc:Depends}
Description: Compression and decompression in the LZMA format - development files
 The Lempel-Ziv-Markov chain Algorithm is a compression method based on
 the famous LZ77 algorithm, and was first introduced by 7-Zip for use in
 7z archives.
 .
 Its main characteristics are a very high compression ratio, with high RAM
 usage, and fast decompression, with low RAM usage. These properties make
 it well suited to embedded uses, such as for ROM (firmware) compression.
 .
 This package contains the headers and libraries of lzma. It is
 experimental and will be replaced by the library as soon as it is
 available.
