=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Line continuations are performed with \

opts="uversionmangle=s/\(.\)\(..\)/$1.$2/" \
 http://qa.debian.org/watch/sf.php/sevenzip/lzma(.)(..).tar.bz2 debian uupdate
