## lzma 24.08+dfsg

=== debian/changelog ===
lzma (24.08+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove lzma-dev; see NEWS. (LP: #1162929)
  * Drop Conflicts: xz-lzma (<< 5.1.1alpha+20110809-2),
    unneeded since at least buster
  * Drop Conflicts, Replaces: lzma (<< 4.43-13),
    unneeded since 2012

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 25 Nov 2024 16:49:16 +0100

lzma (24.08+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.08+dfsg
    (Closes: #1014168, #829168, #765510) (LP: #446431)
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1085955
  * d/watch: use canonical upstream like src:7zip
  * d/watch: fix only 3-digit versions being found
  * d/copyright: DEP-5
  * d/copyright: Files-Excluded: bin for 24.08
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * rename debian/NEWS.Debian debian/NEWS (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update lzmp building for new upstream
  * d/copyright: correctly account for what was d/p/02_lzmp.diff
  * Vcs-Git: https://salsa.debian.org/salvage-team/lzma
  * d/rules: hardening
  * d/rules: remove -s (Closes: #497182)
  * debian/lzma-dev.install: don't install C/Types.h (doesn't exist anymore)
    but do install 7zTypes.h CpuArch.h Precomp.h Threads.h CpuArch.c Threads.c
                   7zWindows.h Compiler.h
  * debian/lzma-dev.docs: also install lzma-sdk.txt
  * d/rules: DEB_BUILD_OPTIONS: notrimdch
  * debian/lzma-dev.install: also install C/LzFindMt.[ch] (Closes: #751235)
  * d/control: lzma-dev Description: has SDK source, not library
    Closes: #749918
  * lzmp: fix build with C++11
  * lzmp: update for upstream 24.08 (+ add d/p/lzmp-LzmaDecoder-public-Code)
  * lzmp: -Werror=unused-but-set-variable
  * lzmp: -Werror=unused-result
  * lzmp: -c disables suffix detection like in gzip
    (Closes: #700681) (LP: #1808891)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 13 Nov 2024 15:27:38 +0100
