=== debian/control ===
Source: lzma
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev
Homepage: http://www.7-zip.org/sdk.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/salvage-team/lzma.git
Vcs-Browser: https://salsa.debian.org/salvage-team/lzma
Standards-Version: 4.7.0

Package: lzma
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compression and decompression in the LZMA format - command line utility
 The Lempel-Ziv-Markov chain Algorithm is a compression method based on
 the famous LZ77 algorithm, and was first introduced by 7-Zip for use in
 7z archives.
 .
 Its main characteristics are a very high compression ratio, with high RAM
 usage, and fast decompression, with low RAM usage. These properties make
 it well suited to embedded uses, such as for ROM (firmware) compression.
 .
 This package provides the lzma command line utility, which has a
 familiar gzip-like interface.

Package: lzma-alone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compression and decompression in the LZMA format - legacy utility
 The Lempel-Ziv-Markov chain Algorithm is a compression method based on
 the famous LZ77 algorithm, and was first introduced by 7-Zip for use in
 7z archives.
 .
 Its main characteristics are a very high compression ratio, with high RAM
 usage, and fast decompression, with low RAM usage. These properties make
 it well suited to embedded uses, such as for ROM (firmware) compression.
 .
 This package provides only the old lzma_alone compression utility, which
 has an interface more like that of zip.
