## lzma 25.00+dfsg

=== debian/changelog ===
lzma (25.00+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 25.00+dfsg
  * d/p/: rebase
    + PATH_MAX: define to 4096 when missing (hurd)
    + 0004:     Replace open-coded printf("%u") (Closes: #1121263)
  * d/watch: dversionmangle=auto

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 24 Nov 2025 18:00:41 +0100
