=== debian/watch ===
# Upstream is 7z-only, so we need to repack this manually ‒ https://bugs.debian.org/852429
version=4
opts="uversionmangle=s/(\d{2})(\d{2})/$1.$2/,dversionmangle=auto"  \
https://www.7-zip.org/download.html a/lzma(\d{4})\.7z
